Debian Bug report logs - #525299
iconv accepts UTF-8-encoded UTF-16 surrogates

version graph

Package: libc6; Maintainer for libc6 is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc6 is src:eglibc.

Reported by: Jakub Wilk <ubanus@users.sf.net>

Date: Thu, 23 Apr 2009 14:48:02 UTC

Severity: normal

Tags: fixed-upstream, pending

Found in version glibc/2.9-7

Fixed in version glibc/2.9-8

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://sources.redhat.com/bugzilla/show_bug.cgi?id=10093

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ubanus@users.sf.net, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#525299; Package libc6. (Thu, 23 Apr 2009 14:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <ubanus@users.sf.net>:
New Bug report received and forwarded. Copy sent to ubanus@users.sf.net, GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 23 Apr 2009 14:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <ubanus@users.sf.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: iconv accepts UTF-8-encoded UTF-16 surrogates
Date: Thu, 23 Apr 2009 16:42:26 +0200
Package: libc6
Version: 2.9-7
Severity: normal

$ man utf-8 | grep -A 2 UTF-16 | sed -e 's/^ *//'
The UCS code values 0xd800–0xdfff (UTF-16 surrogates) as well as 0xfffe
and 0xffff (UCS non-characters) should not appear in  conforming  UTF-8
streams.

$ s='\xed\xa0\x88\xed\xbd\x85' # 0xd808 + 0xdf45
$ for e in UTF-8 UTF-16 UTF-32 UCS-4
> do
>   printf "$e\t"
>   printf $s | iconv -f UTF-8 -t $e > /dev/null && printf 'OK\n'
> done
UTF-8	OK
UTF-16	iconv: illegal input sequence at position 0
UTF-32	iconv: illegal input sequence at position 0
UCS-4	OK

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (900, 'unstable'), (500, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=pl_PL.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libc6 depends on:
ii  libgcc1                       1:4.3.3-8  GCC support library

libc6 recommends no packages.

Versions of packages libc6 suggests:
ii  glibc-doc                     2.9-7      GNU C Library: Documentation
ii  libc6-i686                    2.9-7      GNU C Library: Shared libraries [i
ii  locales                       2.9-7      GNU C Library: National Language (

-- debconf information:
  glibc/upgrade: true
  glibc/disable-screensaver:
  glibc/restart-failed:
* glibc/restart-services:

-- 
Jakub Wilk




Noted your statement that Bug has been forwarded to http://sources.redhat.com/bugzilla/post_bug.cgi. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Thu, 23 Apr 2009 22:06:06 GMT) Full text and rfc822 format available.

Forwarded-to-address changed from http://sources.redhat.com/bugzilla/post_bug.cgi to http://sources.redhat.com/bugzilla/show_bug.cgi?id=10093. Request was from Jakub Wilk <ubanus@users.sf.net> to control@bugs.debian.org. (Fri, 24 Apr 2009 11:34:24 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Aurelien Jarno <aurel32@alioth.debian.org> to control@bugs.debian.org. (Fri, 24 Apr 2009 21:21:04 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Aurelien Jarno <aurel32@alioth.debian.org> to control@bugs.debian.org. (Sun, 26 Apr 2009 21:48:24 GMT) Full text and rfc822 format available.

Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Sun, 26 Apr 2009 22:09:14 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Mon, 27 Apr 2009 05:54:25 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <ubanus@users.sf.net>:
Bug acknowledged by developer. (Mon, 27 Apr 2009 05:54:25 GMT) Full text and rfc822 format available.

Message #20 received at 525299-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 525299-close@bugs.debian.org
Subject: Bug#525299: fixed in glibc 2.9-8
Date: Mon, 27 Apr 2009 05:32:26 +0000
Source: glibc
Source-Version: 2.9-8

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.9-8_all.deb
  to pool/main/g/glibc/glibc-doc_2.9-8_all.deb
glibc-source_2.9-8_all.deb
  to pool/main/g/glibc/glibc-source_2.9-8_all.deb
glibc_2.9-8.diff.gz
  to pool/main/g/glibc/glibc_2.9-8.diff.gz
glibc_2.9-8.dsc
  to pool/main/g/glibc/glibc_2.9-8.dsc
libc6-dbg_2.9-8_amd64.deb
  to pool/main/g/glibc/libc6-dbg_2.9-8_amd64.deb
libc6-dev-i386_2.9-8_amd64.deb
  to pool/main/g/glibc/libc6-dev-i386_2.9-8_amd64.deb
libc6-dev_2.9-8_amd64.deb
  to pool/main/g/glibc/libc6-dev_2.9-8_amd64.deb
libc6-i386_2.9-8_amd64.deb
  to pool/main/g/glibc/libc6-i386_2.9-8_amd64.deb
libc6-pic_2.9-8_amd64.deb
  to pool/main/g/glibc/libc6-pic_2.9-8_amd64.deb
libc6-prof_2.9-8_amd64.deb
  to pool/main/g/glibc/libc6-prof_2.9-8_amd64.deb
libc6-udeb_2.9-8_amd64.udeb
  to pool/main/g/glibc/libc6-udeb_2.9-8_amd64.udeb
libc6_2.9-8_amd64.deb
  to pool/main/g/glibc/libc6_2.9-8_amd64.deb
libnss-dns-udeb_2.9-8_amd64.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.9-8_amd64.udeb
libnss-files-udeb_2.9-8_amd64.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.9-8_amd64.udeb
locales-all_2.9-8_amd64.deb
  to pool/main/g/glibc/locales-all_2.9-8_amd64.deb
locales_2.9-8_all.deb
  to pool/main/g/glibc/locales_2.9-8_all.deb
nscd_2.9-8_amd64.deb
  to pool/main/g/glibc/nscd_2.9-8_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 525299@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 27 Apr 2009 00:44:59 +0200
Source: glibc
Binary: glibc-doc glibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-sparcv9b libc6-i686 libc6-xen libc0.1-i686 libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.9-8
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 glibc-doc  - GNU C Library: Documentation
 glibc-source - GNU C Library: sources
 libc0.1    - GNU C Library: Shared libraries
 libc0.1-dbg - GNU C Library: detached debugging symbols
 libc0.1-dev - GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - GNU C Library: PIC archive library
 libc0.1-prof - GNU C Library: Profiling Libraries
 libc0.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - GNU C Library: Shared libraries
 libc0.3-dbg - GNU C Library: detached debugging symbols
 libc0.3-dev - GNU C Library: Development Libraries and Header Files
 libc0.3-pic - GNU C Library: PIC archive library
 libc0.3-prof - GNU C Library: Profiling Libraries
 libc0.3-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6      - GNU C Library: Shared libraries
 libc6-amd64 - GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - GNU C Library: detached debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc6-dev-mips64 - GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - GNU C Library: 32bit powerpc development libraries for ppc64
 libc6-dev-ppc64 - GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - GNU C Library: 64bit Development Libraries for IBM zSeries
 libc6-dev-sparc64 - GNU C Library: 64bit Development Libraries for UltraSPARC
 libc6-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - GNU C Library: PIC archive library
 libc6-powerpc - GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-s390x - GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-sparcv9b - GNU C Library: Shared libraries [v9b optimized]
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - GNU C Library: Shared libraries [Xen version]
 libc6.1    - GNU C Library: Shared libraries
 libc6.1-alphaev67 - GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - GNU C Library: detached debugging symbols
 libc6.1-dev - GNU C Library: Development Libraries and Header Files
 libc6.1-pic - GNU C Library: PIC archive library
 libc6.1-prof - GNU C Library: Profiling Libraries
 libc6.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 locales-all - GNU C Library: Precompiled locale data
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 343140 435646 511621 521439 522686 522982 523952 525261 525299
Changes: 
 glibc (2.9-8) unstable; urgency=low
 .
   [ Aurelien Jarno ]
   * Update Swedish debconf translation, by Martin Bagger.  Closes: #522982.
   * mips/cvs-context.diff: new patch from upstream to add getcontext,
     setcontext, makecontext, swapcontext.
   * any/submitted-mount_h.diff: new patch to add MNT_DETACH and MNT_EXPIRE to
     sys/mount.h.  Closes: #523952.
   * arm/submitted-fpu_control_h.diff: new patch to disable macros from
     <fpu_control.h> on EABI.  Closes: #525261.
   * any/cvs-iconv-utf16.diff: new patch from upstream to reject UTF-8-encoded
     UTF-16 surrogates in iconv.  Closes: #525299.
   * any/local-getaddrinfo-interface.diff: ignore addresses with no interface
     assigned while sorting with rule 7.  Closes: #521439.
   * any/cvs-broken_dns.diff: new patch from CVS to provide a fallback for
     broken DNS server while doing unified IPv4/IPv6 requests. The first lookup
     will be slow, but subsequent requests will fallback to the previous
     behaviour. This can be enabled by default by setting 'single-request' in
     /etc/resolv.conf.
   * debhelper.in/libc.NEWS: add entry explaining the new behaviour and the new
     option.
   * any/local-disable-gethostbyname4.diff: disabled this patch to re-enable
     unified IPv4/IPv6 requests.  Closes: bug#343140, bug#435646.
   * localedata/cvs-el_CY-el_GR-frac_digits.diff: new patch from CVS to fix
     frac_digits and int_frac_digits on el_CY ad el_GR locales.  Closes:
     bug#511621.
   * mips_asm_unistd.h, sysdeps/mipsel.mk, sysdeps/mips.mk: use our own version
     of unistd.h corresponding to the one of a 2.6.24 kernel to workaround kernel
     bugs on the build daemons.
   * any/cvs-binutils_2.20.diff: new patch from upstream to fix build failure
     with binutils 2.20.
 .
   [ Petr Salinger ]
   * kfreebsd/local-sysdeps.diff: update to revision 2482 (from glibc-bsd).
     Closes: #522686. Thanks to Jan Christoph Nordholz.
 .
   [ Samuel Thibault ]
   * hurd-i386/cvs-rtld.diff: new patch, fixes boot of glibc built with
     binutils >= 2.19.
Checksums-Sha1: 
 155ea8453cdf50a2c1d6c76a64748cfcdc3bfec7 2650 glibc_2.9-8.dsc
 c7316d5cfbd57574a0c3196c9a822b0622dc4294 733546 glibc_2.9-8.diff.gz
 222a7389725f20ffffa0db742063bc1a58cbc86e 1653562 glibc-doc_2.9-8_all.deb
 eba178b48d43ffe2607aaba9db2d15d9cc27c22d 11155772 glibc-source_2.9-8_all.deb
 1e9e6e5b21b71118b89f501e2c813bc56ce9bb89 4661840 locales_2.9-8_all.deb
 dc2cb1dc389109552900c6578f97902ca7103c29 4938292 libc6_2.9-8_amd64.deb
 8cd4202addd7c7db9b7352f6a365956f6dd40a01 2522924 libc6-dev_2.9-8_amd64.deb
 cdb0f7484f0996a344ecd02ec4e620312f641a29 1948818 libc6-prof_2.9-8_amd64.deb
 f35fd1d75d0e8cfb81195379bf3d45bf0e0bb0c2 1484620 libc6-pic_2.9-8_amd64.deb
 5ba617aaa543a79dd81698712683b64bcb376a26 2988424 locales-all_2.9-8_amd64.deb
 6d63e5e1b20c1c6b8e033009da177eead38aa371 3750732 libc6-i386_2.9-8_amd64.deb
 afc45a1f924e48b32eaaa25524f9ab8617f76145 1502560 libc6-dev-i386_2.9-8_amd64.deb
 f14719b4119107ad272a7161ce6c9385b1ba9e42 185656 nscd_2.9-8_amd64.deb
 e42f6d0fe242267dead319f8e83382b541be4527 10600292 libc6-dbg_2.9-8_amd64.deb
 abf4ebe7361db29a82e96d0469fe14b122def959 1116220 libc6-udeb_2.9-8_amd64.udeb
 2e7351d16f00dd1e4babf5706d0d835bd6220e48 10832 libnss-dns-udeb_2.9-8_amd64.udeb
 7a23f7499e8a2c79282fdefa92c0f0a2e3ae2e27 19056 libnss-files-udeb_2.9-8_amd64.udeb
Checksums-Sha256: 
 08a95805df28ea561431cc30d4523e136759e678ba56cc39eea3728c2623034f 2650 glibc_2.9-8.dsc
 69bf4282415e399984ad18e2645387ff26e2677fe72d5a46c50038b8864d8b1f 733546 glibc_2.9-8.diff.gz
 ee841530e7a5cf60cc71b78caf66ddd0c1ab53cfb4a233d8446bcfb5524f1715 1653562 glibc-doc_2.9-8_all.deb
 bb4f0a88fc8a79e377489aa40f73902a859a6b0849fb22c150e0d9219365ce95 11155772 glibc-source_2.9-8_all.deb
 dd0116b42e0b8b5f9b651131e9ffb22497287a78190c0cfc4ea450c79790bae6 4661840 locales_2.9-8_all.deb
 a58de0edf374a34d0067932dd143c073e6a4db2ffb7a1ec7d1d0aa0fb3524090 4938292 libc6_2.9-8_amd64.deb
 09ab3462a9c1f753dbfd7769324969f1d9c158d5cc021b9d2f5ce44b80d9560d 2522924 libc6-dev_2.9-8_amd64.deb
 4ba8d085816b844109427e3ed4ee3e625970ec373add96f172c53695e21eff7b 1948818 libc6-prof_2.9-8_amd64.deb
 d6709f71b83447b3558eab28a946ba1dc8f1584f7822f3e1dbeb26d149499713 1484620 libc6-pic_2.9-8_amd64.deb
 f850fb6d42b41b7a65c9fa0add64ecfd50bd7ce45403db60674e72d5e0f38d0e 2988424 locales-all_2.9-8_amd64.deb
 29fde35720312bd95c009d9984b482be7ab4d127ee1aafe0a8a09ac5daf7bdfe 3750732 libc6-i386_2.9-8_amd64.deb
 7de522117e08b09bdfbb3f60d4a68a71994a979466b9d7e38d4e6bd92713773a 1502560 libc6-dev-i386_2.9-8_amd64.deb
 ea62835d8e6a3cd7ec01e56d529ca01b9b05923e6e57e5553d0579f58667e28f 185656 nscd_2.9-8_amd64.deb
 d746f58cb2efbad364b54dfd9236f7ef2e48e0a108240abf5229aba688ebcc13 10600292 libc6-dbg_2.9-8_amd64.deb
 5b86b7535e62c208be4dc526962462541041433690343334b473a28b66637753 1116220 libc6-udeb_2.9-8_amd64.udeb
 254ea1efecf00730287bf3188a5aa9fb7e9a63d1c3aaf47b2b0e3fa179525900 10832 libnss-dns-udeb_2.9-8_amd64.udeb
 caae6c48f91577acdd894e0dc16962f9ea8dc59caa5bae6463b8e778d3557bec 19056 libnss-files-udeb_2.9-8_amd64.udeb
Files: 
 780a8030f914d83535861db0040930a4 2650 libs required glibc_2.9-8.dsc
 5d1d164e43e887041aca7db23e223333 733546 libs required glibc_2.9-8.diff.gz
 cc95fd007220e632ef9f1f3464ffb4c6 1653562 doc optional glibc-doc_2.9-8_all.deb
 84475a60902201fbaec47571cb6dca12 11155772 devel optional glibc-source_2.9-8_all.deb
 a841bc96f91309f513e80fb233f94140 4661840 libs standard locales_2.9-8_all.deb
 340225d1fcdbe059a2022d1e35c76fd4 4938292 libs required libc6_2.9-8_amd64.deb
 b37727b2d378d1191113fb6c8fb444e4 2522924 libdevel optional libc6-dev_2.9-8_amd64.deb
 4b78cee60417afe94dce21cb21a4d897 1948818 libdevel extra libc6-prof_2.9-8_amd64.deb
 b259f462f09d37b34d8dcc69b322f314 1484620 libdevel optional libc6-pic_2.9-8_amd64.deb
 7f1d057d0c836b588d882929a928e2f2 2988424 libs extra locales-all_2.9-8_amd64.deb
 106b11f1e2d6ced7d7d970e7cb57563f 3750732 libs optional libc6-i386_2.9-8_amd64.deb
 84424d433d5107a6b0db8941072213dd 1502560 libdevel optional libc6-dev-i386_2.9-8_amd64.deb
 ceb25bc041ae803369dfd301c0d8fb74 185656 admin optional nscd_2.9-8_amd64.deb
 65d2fd9277cf4ca49053038d6d9336c5 10600292 debug extra libc6-dbg_2.9-8_amd64.deb
 da39a5a4fcfa8d00615fd5ac9157fe1c 1116220 debian-installer extra libc6-udeb_2.9-8_amd64.udeb
 cb30ceeac1f6b0ba35d56d507d25bbc9 10832 debian-installer extra libnss-dns-udeb_2.9-8_amd64.udeb
 bbac738dab892601d755c3a4c65224cb 19056 debian-installer extra libnss-files-udeb_2.9-8_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJ9T6ow3ao2vG823MRAiEDAJ4ocwAoJgnluLF/MGSYoT+ZiS+uvQCeMnDB
6x6Fa8Dhr1jPpvnFKsrr3sU=
=Xinb
-----END PGP SIGNATURE-----





Tags added: pending Request was from Aurelien Jarno <aurel32@alioth.debian.org> to control@bugs.debian.org. (Tue, 05 May 2009 06:06:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Jun 2009 07:36:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:07:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.